Skip to main content
GET
/
api
/
metastore
/
catalogs
/
details
Get catalog details
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/details \
  --header 'Authorization: Bearer <token>'
{
  "catalogs": [
    {
      "name": "<string>",
      "catalog_type": "<string>",
      "is_system": true,
      "properties": {},
      "schema_count": 123,
      "table_count": 123,
      "view_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

Catalog details retrieved successfully.

catalogs
CatalogDetailInfo · object[]
required

List of catalog details.

total
integer
required

Total number of catalogs.